Module jdk.compiler
Package com.sun.source.tree

# Interface PrimitiveTypeTree

All Superinterfaces:
  `Tree`

public interface PrimitiveTypeTree extends Tree
A tree node for a primitive type. For example:

       primitiveTypeKind

See Java Language Specification:
  4.2 Primitive Types and Values
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`TypeKind`
`getPrimitiveTypeKind()`
Returns the kind of this primitive type.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getPrimitiveTypeKind

TypeKind getPrimitiveTypeKind()
Returns the kind of this primitive type.

Returns:
  the kind of the type